Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff
Summary: Show 'damaged' and other status on the 'place holds' page in staff
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18475
  Show dependency treegraph
 
Reported: 2015-06-06 19:26 UTC by Katrin Fischer
Modified: 2017-12-07 22:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff (1.83 KB, patch)
2017-02-18 17:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff (1.59 KB, patch)
2017-04-21 14:51 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff (1.65 KB, patch)
2017-06-09 16:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff (1.74 KB, patch)
2017-09-01 09:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-06-06 19:26:59 UTC
Testing something else I noticed that the damaged status is not displayed on the page for placing holds in staff. I think it would be very helpful for item level holds to be able to pick an 'undamaged' alternative item.
Comment 1 Marc Véron 2017-02-18 17:42:39 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2017-02-22 19:48:24 UTC
This is the first column:

[% IF itemloo.not_holdable %]
    [% IF itemloo.not_holdable == 'damaged' %]
        Item damaged
    [% ELSIF itemloo.not_holdable == 'ageRestricted' %]
        Age restricted
    [% ELSIF itemloo.not_holdable == 'tooManyHoldsForThisRecord' %]
        Exceeded max holds per record
    [% ELSIF itemloo.not_holdable == 'tooManyReserves' %]
        Too many holds
    [% ELSIF itemloo.not_holdable == 'notReservable' %]
        Not holdable
    [% ELSIF itemloo.not_holdable == 'cannotReserveFromOtherBranches' %]
        Patron is from different library
    [% ELSIF itemloo.not_holdable == 'itemAlreadyOnHold' %]
        Patron already has hold for this item
    [% ELSE %]
        [% itemloo.not_holdable %]
    [% END %]
[% END %]

This is what Marc V added:

<td>
    [% IF ( itemloo.itemlost ) %]Lost[% END %]
    [% IF ( itemloo.damaged ) %]Damaged[% END %]
    [% IF ( itemloo.withdrawn ) %]Withdrawn[% END %]
</td>

I think there are some underlying design issues which require further thought or at least explanation. It makes little sense to me to have two columns displaying something about the fact that it is damaged. It also is confusing that itemlost, damaged, and withdrawn would be in the same column. I didn't read the code deeper.
Comment 3 Marc Véron 2017-02-22 23:12:42 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2017-04-21 14:51:32 UTC
Created attachment 62532 [details] [review]
Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff

This patch adds status 'Damaged' to 'Information' 'Status' in the items
table on 'Place hold' page.

To test:
- Apply patch
- In staff client, try to place an item level hold for items with 'Damaged'
  status.
- Verify that the status 'Damaged' appears in the column 'Information'.
Comment 5 Marc Véron 2017-04-21 14:59:59 UTC
(In reply to M. Tompsett from comment #2)
(...)
> 
> I think there are some underlying design issues which require further
> thought or at least explanation. It makes little sense to me to have two
> columns displaying something about the fact that it is damaged. It also is
> confusing that itemlost, damaged, and withdrawn would be in the same column.
> I didn't read the code deeper.

My patch now adds a minimal information about the 'Damaged' status in the existing  column 'Information'.

The whole table would need some attention. I filed Bug 18475.
Comment 6 Owen Leonard 2017-06-09 16:12:03 UTC
Created attachment 64161 [details] [review]
[SIGNED-OFF] Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff

This patch adds status 'Damaged' to 'Information' 'Status' in the items
table on 'Place hold' page.

To test:
- Apply patch
- In staff client, try to place an item level hold for items with 'Damaged'
  status.
- Verify that the status 'Damaged' appears in the column 'Information'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Marcel de Rooy 2017-09-01 09:08:39 UTC
Created attachment 66692 [details] [review]
Bug 14353 - Show 'damaged' and other status on the 'place holds' page in staff

This patch adds status 'Damaged' to 'Information' 'Status' in the items
table on 'Place hold' page.

To test:
- Apply patch
- In staff client, try to place an item level hold for items with 'Damaged'
  status.
- Verify that the status 'Damaged' appears in the column 'Information'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Jonathan Druart 2017-09-01 16:03:40 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-10-03 08:05:10 UTC
Pushed to 17.05.x, will be in 17.05.05.

Very small enhancement, should ok for stable branches.
Comment 10 Katrin Fischer 2017-10-05 21:26:21 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.